列出 supportedRegions
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
列出可用于创建云电脑连接的受支持区域。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
CloudPC.Read.All、CloudPC.ReadWrite.All
委派(个人 Microsoft 帐户)
不支持。
应用程序
CloudPC.Read.All、CloudPC.ReadWrite.All
HTTP 请求
GET /deviceManagement/virtualEndpoint/supportedRegions
可选的查询参数
此方法支持 $select 和 $filter OData 查询参数来帮助自定义响应。 若要了解一般信息,请参阅 OData 查询参数 。
名称
说明
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 响应代码和 200 OK cloudPcSupportedRegion 对象集合。
示例
请求
GET https://graph.microsoft.com/beta/deviceManagement/virtualEndpoint/supportedRegions
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var supportedRegions = await graphClient.DeviceManagement.VirtualEndpoint.SupportedRegions
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let supportedRegions = await client.api('/deviceManagement/virtualEndpoint/supportedRegions')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/deviceManagement/virtualEndpoint/supportedRegions"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphCloudPcSupportedRegion *cloudPcSupportedRegion = [[MSGraphCloudPcSupportedRegion alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
CloudPcSupportedRegionCollectionPage supportedRegions = graphClient.deviceManagement().virtualEndpoint().supportedRegions()
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
result, err := graphClient.DeviceManagement().VirtualEndpoint().SupportedRegions().Get()
Import-Module Microsoft.Graph.DeviceManagement.Administration
Get-MgDeviceManagementVirtualEndpointSupportedRegion
响应
HTTP/1.1 200 OK
Content-Type: application/json
{
"value": [
{
"@odata.type": "#microsoft.graph.cloudPcSupportedRegion",
"id": "109919f3-19f3-1099-f319-9910f3199910",
"displayName": "Demo-1"
}
]
}